#
# spec file for package python-slimit
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-slimit
Version:        0.8.1
Release:        7.1
Url:            http://slimit.org
Summary:        JavaScript minifier written in Python
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/s/slimit/slimit-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-odict
BuildRequires:  python-ply >= 3.4
BuildRequires:  python-setuptools
BuildRequires:  unzip
Requires:       python-odict
Requires:       python-ply >= 3.4
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
SlimIt is a JavaScript minifier written in Python. It compiles JavaScript into
more compact code so that it downloads
and runs faster.

SlimIt also provides a library that includes a JavaScript parser,
lexer, pretty printer and a tree visitor.

%prep
%setup -q -n slimit-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root)
%doc CHANGES README.rst
%{_bindir}/slimit
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Sep 10 2013 os-dev@jacraig.com
- Update to 0.8.1:
  * Bug fix: Fix syntax error in the output of for statement with some form of
    expressions
- Changes from 0.8.0:
  * Python 3.x support
  * Bug fix: slimit removes parentheses from ternary expression, causes syntax
    error in jQuery
  * Bug fix: simple identifier in FOR init
  * Bug fix: using $ for mangled function names conflicts with jQuery
* Thu Sep  5 2013 os-dev@jacraig.com
- Add requires for odict and ply >= 3.4, they are necessary to run slimit.
* Fri Jun 22 2012 os-dev@jacraig.com
- Update to 0.7.4:
  * Bug fix: https://github.com/rspivak/slimit/issues/34 'class' is reserved
    keyword now
- Changes from 0.7 to 0.7.3:
  * Bug fix (unary op in FOR init)
  * Added support for get/set properties
  * Function call support in FOR init section
  * Multiline string support
- Added >= 3.4 to python-ply requirement, setup.py indicates that version
* Tue Apr 10 2012 saschpe@suse.de
- Update to version 0.6.2:
  * Better multiline handling
* Mon Mar 12 2012 saschpe@suse.de
- Initial version
